Keyboard shortcuts
==================

## Global Shourtcuts

You can set some keyboard shortcuts by `config.yml` (See 'Customization' section).
Currently below actions can be assigned to keyboard shortcuts.

| Action       | Description                                | Default Shortcut        |
| ------------ | ------------------------------------------ | ----------------------- |
| `PageDown`   | Scroll down by half page                   | `j`, `down`, `pagedown` |
| `PageUp`     | Scroll up by half page                     | `k`, `up`, `pageup`     |
| `PageLeft`   | Scroll left by half page                   | `h`, `left`             |
| `PageRight`  | Scroll left by half page                   | `l`, `right`            |
| `PageBottom` | Scroll down to bottom of page              | `m`, `end`              |
| `PageTop`    | Scroll up to top of page                   | `i`, `home`             |
| `ChangePath` | Open dialog to choose file or directory    | `ctrl+p`                |
| `Lint`       | Toggle lint result drawer                  | `ctrl+l`                |
| `Search`     | Toggle find-in-page search box             | `s`                     |
| `Reload`     | Reload preview                             | `r`                     |
| `Print`      | Print current preview                      | Not assigned            |
| `QuitApp`    | Quit Shiba                                 | Not assigned            |
| `DevTools`   | Toggle DevTools window                     | Not assigned            |

You can customize all key assigns.  Please see [customization document](customization.md).


## Local Shortcuts

### In outline window

In [outliine window](usage.md#outline-window), you can use below shortcuts instead of global ones.

| Shortcut | Description                        |
| -------- | ---------------------------------- |
| `j`      | Move focus to next section.        |
| `k`      | Move focus to previous section.    |
| `ctrl+c` | Copy the outline to your clipboard |
| `ctrl+g` | Close outline window.              |
| `escape` | Close outline window.              |


### In search box

In [search box](usage.md#search-text), you can use below shortcuts instead of global ones.

| Shortcut  | Description                            |
| --------- | -------------------------------------- |
| `Enter`   | Start to search or move to next match. |
| `ctrl+g`  | Close the search box.                  |
| `escape`  | Close the search box.                  |



-----------------
[installation](installation.md) | [usage](usage.md) | [customization](customization.md) | [shortcuts](shortcuts.md) | [tips](tips.md)
