/// <reference path="lib.d.ts" />

namespace Emoji {
    const EMOJI = new Set<string>([
        '+1',
        '-1',
        '100',
        '1234',
        '1st_place_medal',
        '2nd_place_medal',
        '3rd_place_medal',
        '8ball',
        'a',
        'ab',
        'abc',
        'abcd',
        'accept',
        'aerial_tramway',
        'airplane',
        'alarm_clock',
        'alembic',
        'alien',
        'ambulance',
        'amphora',
        'anchor',
        'angel',
        'anger',
        'angry',
        'anguished',
        'ant',
        'apple',
        'aquarius',
        'aries',
        'arrow_backward',
        'arrow_double_down',
        'arrow_double_up',
        'arrow_down',
        'arrow_down_small',
        'arrow_forward',
        'arrow_heading_down',
        'arrow_heading_up',
        'arrow_left',
        'arrow_lower_left',
        'arrow_lower_right',
        'arrow_right',
        'arrow_right_hook',
        'arrow_up',
        'arrow_up_down',
        'arrow_up_small',
        'arrow_upper_left',
        'arrow_upper_right',
        'arrows_clockwise',
        'arrows_counterclockwise',
        'art',
        'articulated_lorry',
        'artificial_satellite',
        'astonished',
        'athletic_shoe',
        'atm',
        'atom_symbol',
        'avocado',
        'b',
        'baby',
        'baby_bottle',
        'baby_chick',
        'baby_symbol',
        'back',
        'bacon',
        'badminton',
        'baggage_claim',
        'baguette_bread',
        'balance_scale',
        'balloon',
        'ballot_box',
        'ballot_box_with_check',
        'bamboo',
        'banana',
        'bangbang',
        'bank',
        'bar_chart',
        'barber',
        'baseball',
        'basecamp',
        'basecampy',
        'basketball',
        'basketball_man',
        'basketball_woman',
        'bat',
        'bath',
        'bathtub',
        'battery',
        'beach_umbrella',
        'bear',
        'bed',
        'bee',
        'beer',
        'beers',
        'beetle',
        'beginner',
        'bell',
        'bellhop_bell',
        'bento',
        'bicyclist',
        'bike',
        'biking_man',
        'biking_woman',
        'bikini',
        'biohazard',
        'bird',
        'birthday',
        'black_circle',
        'black_flag',
        'black_heart',
        'black_joker',
        'black_large_square',
        'black_medium_small_square',
        'black_medium_square',
        'black_nib',
        'black_small_square',
        'black_square',
        'black_square_button',
        'blonde_man',
        'blonde_woman',
        'blossom',
        'blowfish',
        'blue_book',
        'blue_car',
        'blue_heart',
        'blush',
        'boar',
        'boat',
        'bomb',
        'book',
        'bookmark',
        'bookmark_tabs',
        'books',
        'boom',
        'boot',
        'bouquet',
        'bow',
        'bow_and_arrow',
        'bowing_man',
        'bowing_woman',
        'bowling',
        'bowtie',
        'boxing_glove',
        'boy',
        'bread',
        'bride_with_veil',
        'bridge_at_night',
        'briefcase',
        'broken_heart',
        'bug',
        'building_construction',
        'bulb',
        'bullettrain_front',
        'bullettrain_side',
        'burrito',
        'bus',
        'business_suit_levitating',
        'busstop',
        'bust_in_silhouette',
        'busts_in_silhouette',
        'butterfly',
        'cactus',
        'cake',
        'calendar',
        'call_me_hand',
        'calling',
        'camel',
        'camera',
        'camera_flash',
        'camping',
        'cancer',
        'candle',
        'candy',
        'canoe',
        'capital_abcd',
        'capricorn',
        'car',
        'card_file_box',
        'card_index',
        'card_index_dividers',
        'carousel_horse',
        'carrot',
        'cat',
        'cat2',
        'cd',
        'chains',
        'champagne',
        'chart',
        'chart_with_downwards_trend',
        'chart_with_upwards_trend',
        'checkered_flag',
        'cheese',
        'cherries',
        'cherry_blossom',
        'chestnut',
        'chicken',
        'children_crossing',
        'chipmunk',
        'chocolate_bar',
        'christmas_tree',
        'church',
        'cinema',
        'circus_tent',
        'city_sunrise',
        'city_sunset',
        'cityscape',
        'cl',
        'clamp',
        'clap',
        'clapper',
        'classical_building',
        'clinking_glasses',
        'clipboard',
        'clock1',
        'clock10',
        'clock1030',
        'clock11',
        'clock1130',
        'clock12',
        'clock1230',
        'clock130',
        'clock2',
        'clock230',
        'clock3',
        'clock330',
        'clock4',
        'clock430',
        'clock5',
        'clock530',
        'clock6',
        'clock630',
        'clock7',
        'clock730',
        'clock8',
        'clock830',
        'clock9',
        'clock930',
        'closed_book',
        'closed_lock_with_key',
        'closed_umbrella',
        'cloud',
        'cloud_with_lightning',
        'cloud_with_lightning_and_rain',
        'cloud_with_rain',
        'cloud_with_snow',
        'clown_face',
        'clubs',
        'cn',
        'cocktail',
        'coffee',
        'coffin',
        'cold_sweat',
        'collision',
        'comet',
        'computer',
        'computer_mouse',
        'confetti_ball',
        'confounded',
        'confused',
        'congratulations',
        'construction',
        'construction_worker',
        'construction_worker_man',
        'construction_worker_woman',
        'control_knobs',
        'convenience_store',
        'cookie',
        'cool',
        'cop',
        'copyright',
        'corn',
        'couch_and_lamp',
        'couple',
        'couple_with_heart',
        'couple_with_heart_man_man',
        'couple_with_heart_woman_man',
        'couple_with_heart_woman_woman',
        'couplekiss',
        'couplekiss_man_man',
        'couplekiss_man_woman',
        'couplekiss_woman_woman',
        'cow',
        'cow2',
        'cowboy_hat_face',
        'crab',
        'crayon',
        'credit_card',
        'crescent_moon',
        'cricket',
        'crocodile',
        'croissant',
        'crossed_fingers',
        'crossed_flags',
        'crossed_swords',
        'crown',
        'cry',
        'crying_cat_face',
        'crystal_ball',
        'cucumber',
        'cupid',
        'curly_loop',
        'currency_exchange',
        'curry',
        'custard',
        'customs',
        'cyclone',
        'dagger',
        'dancer',
        'dancers',
        'dancing_men',
        'dancing_women',
        'dango',
        'dark_sunglasses',
        'dart',
        'dash',
        'date',
        'de',
        'deciduous_tree',
        'deer',
        'department_store',
        'derelict_house',
        'desert',
        'desert_island',
        'desktop_computer',
        'diamond_shape_with_a_dot_inside',
        'diamonds',
        'disappointed',
        'disappointed_relieved',
        'dizzy',
        'dizzy_face',
        'do_not_litter',
        'dog',
        'dog2',
        'dollar',
        'dolls',
        'dolphin',
        'donut',
        'door',
        'doughnut',
        'dove',
        'dragon',
        'dragon_face',
        'dress',
        'dromedary_camel',
        'drooling_face',
        'droplet',
        'drum',
        'duck',
        'dvd',
        'e-mail',
        'eagle',
        'ear',
        'ear_of_rice',
        'earth_africa',
        'earth_americas',
        'earth_asia',
        'egg',
        'eggplant',
        'eight',
        'eight_pointed_black_star',
        'eight_spoked_asterisk',
        'electric_plug',
        'elephant',
        'email',
        'end',
        'envelope',
        'envelope_with_arrow',
        'es',
        'euro',
        'european_castle',
        'european_post_office',
        'evergreen_tree',
        'exclamation',
        'expressionless',
        'eye',
        'eye_speech_bubble',
        'eyeglasses',
        'eyes',
        'face_with_head_bandage',
        'face_with_thermometer',
        'facepunch',
        'factory',
        'fallen_leaf',
        'family',
        'family_man_boy',
        'family_man_boy_boy',
        'family_man_girl',
        'family_man_girl_boy',
        'family_man_girl_girl',
        'family_man_man_boy',
        'family_man_man_boy_boy',
        'family_man_man_girl',
        'family_man_man_girl_boy',
        'family_man_man_girl_girl',
        'family_man_woman_boy',
        'family_man_woman_boy_boy',
        'family_man_woman_girl',
        'family_man_woman_girl_boy',
        'family_man_woman_girl_girl',
        'family_woman_boy',
        'family_woman_boy_boy',
        'family_woman_girl',
        'family_woman_girl_boy',
        'family_woman_girl_girl',
        'family_woman_woman_boy',
        'family_woman_woman_boy_boy',
        'family_woman_woman_girl',
        'family_woman_woman_girl_boy',
        'family_woman_woman_girl_girl',
        'fast_forward',
        'fax',
        'fearful',
        'feelsgood',
        'feet',
        'female_detective',
        'ferris_wheel',
        'ferry',
        'field_hockey',
        'file_cabinet',
        'file_folder',
        'film_projector',
        'film_strip',
        'finnadie',
        'fire',
        'fire_engine',
        'fireworks',
        'first_quarter_moon',
        'first_quarter_moon_with_face',
        'fish',
        'fish_cake',
        'fishing_pole_and_fish',
        'fist',
        'fist_left',
        'fist_oncoming',
        'fist_raised',
        'fist_right',
        'five',
        'flags',
        'flashlight',
        'fleur_de_lis',
        'flight_arrival',
        'flight_departure',
        'floppy_disk',
        'flower_playing_cards',
        'flushed',
        'fog',
        'foggy',
        'football',
        'footprints',
        'fork_and_knife',
        'fountain',
        'fountain_pen',
        'four',
        'four_leaf_clover',
        'fox_face',
        'fr',
        'framed_picture',
        'free',
        'fried_egg',
        'fried_shrimp',
        'fries',
        'frog',
        'frowning',
        'frowning_face',
        'frowning_man',
        'frowning_woman',
        'fu',
        'fuelpump',
        'full_moon',
        'full_moon_with_face',
        'funeral_urn',
        'game_die',
        'gb',
        'gear',
        'gem',
        'gemini',
        'ghost',
        'gift',
        'gift_heart',
        'girl',
        'globe_with_meridians',
        'goal_net',
        'goat',
        'goberserk',
        'godmode',
        'golf',
        'golfing_man',
        'golfing_woman',
        'gorilla',
        'grapes',
        'green_apple',
        'green_book',
        'green_heart',
        'green_salad',
        'grey_exclamation',
        'grey_question',
        'grimacing',
        'grin',
        'grinning',
        'guardsman',
        'guardswoman',
        'guitar',
        'gun',
        'haircut',
        'haircut_man',
        'haircut_woman',
        'hamburger',
        'hammer',
        'hammer_and_pick',
        'hammer_and_wrench',
        'hamster',
        'hand',
        'handbag',
        'handshake',
        'hankey',
        'hash',
        'hatched_chick',
        'hatching_chick',
        'headphones',
        'hear_no_evil',
        'heart',
        'heart_decoration',
        'heart_eyes',
        'heart_eyes_cat',
        'heartbeat',
        'heartpulse',
        'hearts',
        'heavy_check_mark',
        'heavy_division_sign',
        'heavy_dollar_sign',
        'heavy_exclamation_mark',
        'heavy_heart_exclamation',
        'heavy_minus_sign',
        'heavy_multiplication_x',
        'heavy_plus_sign',
        'helicopter',
        'herb',
        'hibiscus',
        'high_brightness',
        'high_heel',
        'hocho',
        'hole',
        'honey_pot',
        'honeybee',
        'horse',
        'horse_racing',
        'hospital',
        'hot_pepper',
        'hotdog',
        'hotel',
        'hotsprings',
        'hourglass',
        'hourglass_flowing_sand',
        'house',
        'house_with_garden',
        'houses',
        'hugs',
        'hurtrealbad',
        'hushed',
        'ice_cream',
        'ice_hockey',
        'ice_skate',
        'icecream',
        'id',
        'ideograph_advantage',
        'imp',
        'inbox_tray',
        'incoming_envelope',
        'information_desk_person',
        'information_source',
        'innocent',
        'interrobang',
        'iphone',
        'it',
        'izakaya_lantern',
        'jack_o_lantern',
        'japan',
        'japanese_castle',
        'japanese_goblin',
        'japanese_ogre',
        'jeans',
        'joy',
        'joy_cat',
        'joystick',
        'jp',
        'kaaba',
        'key',
        'keyboard',
        'keycap_ten',
        'kick_scooter',
        'kimono',
        'kiss',
        'kissing',
        'kissing_cat',
        'kissing_closed_eyes',
        'kissing_face',
        'kissing_heart',
        'kissing_smiling_eyes',
        'kiwi_fruit',
        'koala',
        'koko',
        'kr',
        'label',
        'large_blue_circle',
        'large_blue_diamond',
        'large_orange_diamond',
        'last_quarter_moon',
        'last_quarter_moon_with_face',
        'latin_cross',
        'laughing',
        'leaves',
        'ledger',
        'left_luggage',
        'left_right_arrow',
        'leftwards_arrow_with_hook',
        'lemon',
        'leo',
        'leopard',
        'level_slider',
        'libra',
        'light_rail',
        'link',
        'lion',
        'lips',
        'lipstick',
        'lizard',
        'lock',
        'lock_with_ink_pen',
        'lollipop',
        'loop',
        'loud_sound',
        'loudspeaker',
        'love_hotel',
        'love_letter',
        'low_brightness',
        'lying_face',
        'm',
        'mag',
        'mag_right',
        'mahjong',
        'mailbox',
        'mailbox_closed',
        'mailbox_with_mail',
        'mailbox_with_no_mail',
        'male_detective',
        'man',
        'man_artist',
        'man_astronaut',
        'man_cook',
        'man_dancing',
        'man_factory_worker',
        'man_farmer',
        'man_firefighter',
        'man_health_worker',
        'man_in_tuxedo',
        'man_judge',
        'man_mechanic',
        'man_office_worker',
        'man_pilot',
        'man_scientist',
        'man_singer',
        'man_student',
        'man_teacher',
        'man_technologist',
        'man_with_gua_pi_mao',
        'man_with_turban',
        'mans_shoe',
        'mantelpiece_clock',
        'maple_leaf',
        'martial_arts_uniform',
        'mask',
        'massage',
        'massage_man',
        'massage_woman',
        'meat_on_bone',
        'medal_military',
        'medal_sports',
        'mega',
        'melon',
        'memo',
        'menorah',
        'mens',
        'metal',
        'metro',
        'microphone',
        'microscope',
        'middle_finger',
        'milk_glass',
        'milky_way',
        'minibus',
        'minidisc',
        'mobile_phone_off',
        'money_mouth_face',
        'money_with_wings',
        'moneybag',
        'monkey',
        'monkey_face',
        'monorail',
        'moon',
        'mortar_board',
        'mosque',
        'motor_boat',
        'motor_scooter',
        'motorcycle',
        'motorway',
        'mount_fuji',
        'mountain',
        'mountain_bicyclist',
        'mountain_biking_man',
        'mountain_biking_woman',
        'mountain_cableway',
        'mountain_railway',
        'mountain_snow',
        'mouse',
        'mouse2',
        'movie_camera',
        'moyai',
        'mrs_claus',
        'muscle',
        'mushroom',
        'musical_keyboard',
        'musical_note',
        'musical_score',
        'mute',
        'nail_care',
        'name_badge',
        'national_park',
        'nauseated_face',
        'neckbeard',
        'necktie',
        'negative_squared_cross_mark',
        'nerd_face',
        'neutral_face',
        'new',
        'new_moon',
        'new_moon_with_face',
        'newspaper',
        'newspaper_roll',
        'next_track_button',
        'ng',
        'night_with_stars',
        'nine',
        'no_bell',
        'no_bicycles',
        'no_entry',
        'no_entry_sign',
        'no_good',
        'no_good_man',
        'no_good_woman',
        'no_mobile_phones',
        'no_mouth',
        'no_pedestrians',
        'no_smoking',
        'non-potable_water',
        'nose',
        'notebook',
        'notebook_with_decorative_cover',
        'notes',
        'nut_and_bolt',
        'o',
        'o2',
        'ocean',
        'octocat',
        'octopus',
        'oden',
        'office',
        'oil_drum',
        'ok',
        'ok_hand',
        'ok_man',
        'ok_woman',
        'old_key',
        'older_man',
        'older_woman',
        'om',
        'on',
        'oncoming_automobile',
        'oncoming_bus',
        'oncoming_police_car',
        'oncoming_taxi',
        'one',
        'open_file_folder',
        'open_hands',
        'open_mouth',
        'open_umbrella',
        'ophiuchus',
        'orange_book',
        'orthodox_cross',
        'outbox_tray',
        'owl',
        'ox',
        'package',
        'page_facing_up',
        'page_with_curl',
        'pager',
        'paintbrush',
        'palm_tree',
        'pancakes',
        'panda_face',
        'paperclip',
        'paperclips',
        'parasol_on_ground',
        'parking',
        'part_alternation_mark',
        'partly_sunny',
        'passenger_ship',
        'passport_control',
        'pause_button',
        'paw_prints',
        'peace_symbol',
        'peach',
        'peanuts',
        'pear',
        'pen',
        'pencil',
        'pencil2',
        'penguin',
        'pensive',
        'performing_arts',
        'persevere',
        'person_fencing',
        'person_frowning',
        'person_with_blond_hair',
        'person_with_pouting_face',
        'phone',
        'pick',
        'pig',
        'pig2',
        'pig_nose',
        'pill',
        'pineapple',
        'ping_pong',
        'pisces',
        'pizza',
        'place_of_worship',
        'plate_with_cutlery',
        'play_or_pause_button',
        'plus1',
        'point_down',
        'point_left',
        'point_right',
        'point_up',
        'point_up_2',
        'police_car',
        'policeman',
        'policewoman',
        'poodle',
        'poop',
        'popcorn',
        'post_office',
        'postal_horn',
        'postbox',
        'potable_water',
        'potato',
        'pouch',
        'poultry_leg',
        'pound',
        'pouting_cat',
        'pouting_man',
        'pouting_woman',
        'pray',
        'prayer_beads',
        'pregnant_woman',
        'previous_track_button',
        'prince',
        'princess',
        'printer',
        'punch',
        'purple_heart',
        'purse',
        'pushpin',
        'put_litter_in_its_place',
        'question',
        'rabbit',
        'rabbit2',
        'racehorse',
        'racing_car',
        'radio',
        'radio_button',
        'radioactive',
        'rage',
        'rage1',
        'rage2',
        'rage3',
        'rage4',
        'railway_car',
        'railway_track',
        'rainbow',
        'rainbow_flag',
        'raised_back_of_hand',
        'raised_hand',
        'raised_hand_with_fingers_splayed',
        'raised_hands',
        'raising_hand',
        'raising_hand_man',
        'raising_hand_woman',
        'ram',
        'ramen',
        'rat',
        'record_button',
        'recycle',
        'red_car',
        'red_circle',
        'registered',
        'relaxed',
        'relieved',
        'reminder_ribbon',
        'repeat',
        'repeat_one',
        'rescue_worker_helmet',
        'restroom',
        'revolving_hearts',
        'rewind',
        'rhinoceros',
        'ribbon',
        'rice',
        'rice_ball',
        'rice_cracker',
        'rice_scene',
        'right_anger_bubble',
        'ring',
        'robot',
        'rocket',
        'rofl',
        'roll_eyes',
        'roller_coaster',
        'rooster',
        'rose',
        'rosette',
        'rotating_light',
        'round_pushpin',
        'rowboat',
        'rowing_man',
        'rowing_woman',
        'ru',
        'rugby_football',
        'runner',
        'running',
        'running_man',
        'running_shirt_with_sash',
        'running_woman',
        'sa',
        'sagittarius',
        'sailboat',
        'sake',
        'sandal',
        'santa',
        'satellite',
        'satisfied',
        'saxophone',
        'school',
        'school_satchel',
        'scissors',
        'scorpion',
        'scorpius',
        'scream',
        'scream_cat',
        'scroll',
        'seat',
        'secret',
        'see_no_evil',
        'seedling',
        'selfie',
        'seven',
        'shallow_pan_of_food',
        'shamrock',
        'shark',
        'shaved_ice',
        'sheep',
        'shell',
        'shield',
        'shinto_shrine',
        'ship',
        'shipit',
        'shirt',
        'shit',
        'shoe',
        'shopping',
        'shopping_cart',
        'shower',
        'shrimp',
        'signal_strength',
        'simple_smile',
        'six',
        'six_pointed_star',
        'ski',
        'skier',
        'skull',
        'skull_and_crossbones',
        'sleeping',
        'sleeping_bed',
        'sleepy',
        'slightly_frowning_face',
        'slightly_smiling_face',
        'slot_machine',
        'small_airplane',
        'small_blue_diamond',
        'small_orange_diamond',
        'small_red_triangle',
        'small_red_triangle_down',
        'smile',
        'smile_cat',
        'smiley',
        'smiley_cat',
        'smiling_imp',
        'smirk',
        'smirk_cat',
        'smoking',
        'snail',
        'snake',
        'sneezing_face',
        'snowboarder',
        'snowflake',
        'snowman',
        'snowman_with_snow',
        'sob',
        'soccer',
        'soon',
        'sos',
        'sound',
        'space_invader',
        'spades',
        'spaghetti',
        'sparkle',
        'sparkler',
        'sparkles',
        'sparkling_heart',
        'speak_no_evil',
        'speaker',
        'speaking_head',
        'speech_balloon',
        'speedboat',
        'spider',
        'spider_web',
        'spiral_calendar',
        'spiral_notepad',
        'spoon',
        'squid',
        'squirrel',
        'stadium',
        'star',
        'star2',
        'star_and_crescent',
        'star_of_david',
        'stars',
        'station',
        'statue_of_liberty',
        'steam_locomotive',
        'stew',
        'stop_button',
        'stop_sign',
        'stopwatch',
        'straight_ruler',
        'strawberry',
        'stuck_out_tongue',
        'stuck_out_tongue_closed_eyes',
        'stuck_out_tongue_winking_eye',
        'studio_microphone',
        'stuffed_flatbread',
        'sun_behind_large_cloud',
        'sun_behind_rain_cloud',
        'sun_behind_small_cloud',
        'sun_with_face',
        'sunflower',
        'sunglasses',
        'sunny',
        'sunrise',
        'sunrise_over_mountains',
        'surfer',
        'surfing_man',
        'surfing_woman',
        'sushi',
        'suspect',
        'suspension_railway',
        'sweat',
        'sweat_drops',
        'sweat_smile',
        'sweet_potato',
        'swimmer',
        'swimming_man',
        'swimming_woman',
        'symbols',
        'synagogue',
        'syringe',
        'taco',
        'tada',
        'tanabata_tree',
        'tangerine',
        'taurus',
        'taxi',
        'tea',
        'telephone',
        'telephone_receiver',
        'telescope',
        'tennis',
        'tent',
        'thermometer',
        'thinking',
        'thought_balloon',
        'three',
        'thumbsdown',
        'thumbsup',
        'ticket',
        'tickets',
        'tiger',
        'tiger2',
        'timer_clock',
        'tipping_hand_man',
        'tipping_hand_woman',
        'tired_face',
        'tm',
        'toilet',
        'tokyo_tower',
        'tomato',
        'tongue',
        'top',
        'tophat',
        'tornado',
        'trackball',
        'tractor',
        'traffic_light',
        'train',
        'train2',
        'tram',
        'triangular_flag_on_post',
        'triangular_ruler',
        'trident',
        'triumph',
        'trolleybus',
        'trollface',
        'trophy',
        'tropical_drink',
        'tropical_fish',
        'truck',
        'trumpet',
        'tshirt',
        'tulip',
        'tumbler_glass',
        'turkey',
        'turtle',
        'tv',
        'twisted_rightwards_arrows',
        'two',
        'two_hearts',
        'two_men_holding_hands',
        'two_women_holding_hands',
        'u5272',
        'u5408',
        'u55b6',
        'u6307',
        'u6708',
        'u6709',
        'u6e80',
        'u7121',
        'u7533',
        'u7981',
        'u7a7a',
        'uk',
        'umbrella',
        'unamused',
        'underage',
        'unicorn',
        'unlock',
        'up',
        'upside_down_face',
        'us',
        'v',
        'vertical_traffic_light',
        'vhs',
        'vibration_mode',
        'video_camera',
        'video_game',
        'violin',
        'virgo',
        'volcano',
        'volleyball',
        'vs',
        'vulcan_salute',
        'walking',
        'walking_man',
        'walking_woman',
        'waning_crescent_moon',
        'waning_gibbous_moon',
        'warning',
        'wastebasket',
        'watch',
        'water_buffalo',
        'watermelon',
        'wave',
        'wavy_dash',
        'waxing_crescent_moon',
        'waxing_gibbous_moon',
        'wc',
        'weary',
        'wedding',
        'weight_lifting_man',
        'weight_lifting_woman',
        'whale',
        'whale2',
        'wheel_of_dharma',
        'wheelchair',
        'white_check_mark',
        'white_circle',
        'white_flag',
        'white_flower',
        'white_large_square',
        'white_medium_small_square',
        'white_medium_square',
        'white_small_square',
        'white_square_button',
        'wilted_flower',
        'wind_chime',
        'wind_face',
        'wine_glass',
        'wink',
        'wolf',
        'woman',
        'woman_artist',
        'woman_astronaut',
        'woman_cook',
        'woman_factory_worker',
        'woman_farmer',
        'woman_firefighter',
        'woman_health_worker',
        'woman_judge',
        'woman_mechanic',
        'woman_office_worker',
        'woman_pilot',
        'woman_scientist',
        'woman_singer',
        'woman_student',
        'woman_teacher',
        'woman_technologist',
        'woman_with_turban',
        'womans_clothes',
        'womans_hat',
        'womens',
        'world_map',
        'worried',
        'wrench',
        'writing_hand',
        'x',
        'yellow_heart',
        'yen',
        'yin_yang',
        'yum',
        'zap',
        'zero',
        'zipper_mouth_face',
        'zzz',
    ]);

    export class Replacer {
        constructor(public images_dir: string) {
        }

        replaceOne(name: string) {
            if (EMOJI.has(name)) {
                return `<img src="${this.images_dir}/emoji/${name}.png" title=":${name}:" height="16px" alt="${name}"></img>`;
            } else {
                return name;
            }
        }
    }
}
